# OpenEdx Setup

This repository contains scripts and resources for setting up and deploying the OpenEdx platform. The scripts automate the process of installing and configuring OpenEdx, making it easier and faster to get up and running with the platform.

**Note:** This script has been tested and is designed to be used on Ubuntu 22.04. While it may work on other versions of Ubuntu or other Linux distributions, it is recommended to use the script on Ubuntu 22.04 for best results. If you plan to use the script on a different operating system, please ensure that you have the necessary dependencies and resources installed and configured before running the script.

## Contents

The repository contains the following scripts and resources:

1. Install script - A bash script (`install.sh`) that automates the process of installing and configuring OpenEdx.
2. Configuration files - A set of configuration files that are used by the install script to configure the OpenEdx platform.

## Usage

To use the scripts and resources in this repository, simply follow these steps:

1. Clone the repository to your local machine using the following command:
```
git clone https://git.vdm.dev/octoleo/open-edx-setup.git
```
2. Navigate to the directory containing the install script using the following command:
```
cd open-edx-setup
```
3. Run the install script using the following command:
```
sudo chmod +x install.sh
./install.sh
```

The script will then guide you through the process of installing and configuring OpenEdx.

## Contributing

If you have suggestions for improving the scripts or resources in this repository, feel free to contribute by creating a pull request or opening an issue. Your contributions are greatly appreciated and will help make this repository a valuable resource for other OpenEdx users.

## License

The scripts and resources in this repository are released under the [MIT License](LICENSE). You are free to use and modify the scripts and resources as needed, subject to the terms of the license.

## Contact

If you have any questions or comments about the scripts and resources in this repository, please feel free to reach out. You can contact me through the repository's issue tracker or by email.
